On Friday 25 January 2008, Christian Zagrodnick wrote:
> > BTW, if you want to use a newer package than the KGS provides, you can
> > always use the find-links option and point to the package in PyPI or PPIX
> > directly.
> Most component packages do not use the KGS in their buildout, so I
> wasn't either.  For production use we pin exact versions actually.

Right, I should probably start adding the KGS index to the package's buildout 
to make clear what the expected working set is for a particular package.

Well, pinning versions for production is okay, but what are you doing during 
development? If everyone keeps their own working set of versions, we will 
soon have a support nightmare, since reproducing someone else's setup will 
become almost impossible.

Stephan Richter
Web Software Design, Development and Training
Google me. "Zope Stephan Richter"
Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists -
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to